package com.xxh.cloud.frontend;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.ComponentScan;

@EnableCaching
@SpringBootApplication
@ComponentScan(basePackages = { "com.xxh.cloud" })
public class HealthyFrontendApplication {

    public static void main(String[] args) {
        SpringApplication.run(HealthyFrontendApplication.class, args);
    }

}
