package com.xxh.cloud.frontend.mq.listener;

import cn.hutool.json.JSONUtil;
import com.xxh.cloud.frontend.mq.model.MqMessageModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.jms.annotation.JmsListener;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class FrontendDemoListener {

    @JmsListener(destination="20231111_topic")
    public void onMessage(String message) {
        log.info("售后订单MQ消费:" + message);
        MqMessageModel messageExt = JSONUtil.toBean(message, MqMessageModel.class);
    }
}
